Cross compiling for powerpc440

Yun broody@gmail.com
Fri Oct 2 00:21:00 GMT 2009


Hey guys,

Hope this question fits here...

I am trying to cross compile for powerpc440 using crosstools. I have
it built and working with these components:
GCC_CORE_DIR=gcc-3.4.6
GCC_DIR=gcc-4.1.2
GLIBC_DIR=glibc-2.3.6
LINUX_DIR=linux-2.6.30.8
LINUX_SANITIZED_HEADER_DIR=
linux-libc-headers-2.6.12.0
GLIBCTHREADS_FILENAME=glibc-linuxthreads-2.3.6
GDB_DIR=gdb-6.5


But then I wanted to cross compile libraw1394 for my ML510
(powerpc440) board. That library requires "inotify" functions which is
available in glibc-2.4 and up. So I went ahead and upgraded to 2.4,
below is then the error message that I encounter during the build
process:

...............
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for long double... yes
checking size of long double... 12
running configure fragment for sysdeps/powerpc/powerpc32/elf
checking for powerpc32 TLS support... no
running configure fragment for sysdeps/unix/sysv/linux/powerpc
checking whether gcc -g -O2 -mlong-double-128 uses IBM extended format... no
checking whether gcc -g -O2 supports -mabi=ibmlongdouble... no
configure: error: this configuration requires -mlong-double-128 IBM
extended format support

I've tried upgrading all components to lastest releases and still
there is the same error. I've googled around and it sounds like this
was an old problem but I haven't found anything answers in
particular... Any help would be greatly appreciated and please feel
free to correct me as I am a total linux greenhorn...

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list